Mail archive
alpine-aports

[alpine-aports] [PATCH 11/15] testing/perl-par-dist: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 12 Dec 2015 12:25:22 +0000

---
 testing/perl-par-dist/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-par-dist/APKBUILD
diff --git a/testing/perl-par-dist/APKBUILD b/testing/perl-par-dist/APKBUILD
new file mode 100644
index 0000000..450b058
--- /dev/null
+++ b/testing/perl-par-dist/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-par-dist
+pkgver=0.49
+_realname=PAR-Dist-$pkgver
+pkgrel=0
+pkgdesc="Create and manipulate PAR distributions"
+url="http://search.cpan.org/dist/PAR-Dist/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/PAR-Dist-0.49.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="bd852113974544f3c8c107ab4055cf8c  PAR-Dist-0.49.tar.gz"
+sha256sums="9e47220b594a27bd1750bcfa1d6f60a57ae670c68ce331895a79f08bac671e1d  PAR-Dist-0.49.tar.gz"
+sha512sums="5b0b69e9436d49ab47c4bca8d48790bbc04fec526eeec96a75c768b13f318cf3a0fb2b1a3ab9f835fb4326af2d1339f85257ec5e96f4dfe0efd77c9a36a89acc  PAR-Dist-0.49.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 12 2015 - 12:25:22 GMT